PHPExcel_Shared_Escher_DggContainer

category | PHPExcel
package | PHPExcel_Shared_Escher
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Get BLIP Store Container

    getBstoreContainer() : \PHPExcel_Shared_Escher_DggContainer_BstoreContainer

### Returns

`\PHPExcel_Shared_Escher_DggContainer_BstoreContainer`

## Get total number of drawings saved

    getCDgSaved() : int

### Returns

`int`

## Get total number of shapes saved (including group shapes)

    getCSpSaved() : int

### Returns

`int`

## Get identifier clusters

    getIDCLs() : array

### Returns

`array`

## Get an option for the drawing group

    getOPT(int $property) : mixed

### Parameters

#### $property

`int`

The number specifies the option

### Returns

`mixed`

## Get maximum shape index of all shapes in all drawings (plus one)

    getSpIdMax() : int

### Returns

`int`

## Set BLIP Store Container

    setBstoreContainer(\PHPExcel_Shared_Escher_DggContainer_BstoreContainer $bstoreContainer)

### Parameters

#### $bstoreContainer

`\PHPExcel_Shared_Escher_DggContainer_BstoreContainer`

## Set total number of drawings saved

    setCDgSaved(int $value)

### Parameters

#### $value

`int`

## Set total number of shapes saved (including group shapes)

    setCSpSaved(int $value)

### Parameters

#### $value

`int`

## Set identifier clusters.

    setIDCLs(array $pValue)

array(<drawingId> => <max shape id>, ...)

### Parameters

#### $pValue

`array`

## Set an option for the drawing group

    setOPT(int $property, mixed $value)

### Parameters

#### $property

`int`

The number specifies the option

#### $value

`mixed`

## Set maximum shape index of all shapes in all drawings (plus one)

    setSpIdMax(int $value)

### Parameters

#### $value

`int`

### Properties

##

    $_IDCLs : array

##

    $_OPT : array

##

    $_bstoreContainer : \PHPExcel_Shared_Escher_DggContainer_BstoreContainer

##

    $_cDgSaved : int

##

    $_cSpSaved : int

##

    $_spIdMax : int